Subject: bug#58940: [PATCH] feature/tree-sitter: Add more font lock faces

From: Randy Taylor <[email-masked]>
Date: Sun, 06 Nov 2022 16:43:42 +0000

On Sunday, November 6th, 2022 at 09:05, Stefan Monnier <[email-masked]> wrote:

> 
> >> BTW I see that font-lock-regexp-grouping-{backslash,construct}
> 
> > > do not have related variables like the rest of the faces. Why is that?
> > 
> > No idea. I didn't even know we had those faces until I've read your
> > patch.
> > 
> > Stefan, any idea why those faces don't have variables?
> 
> 
> Not really, no. But AFAIK the "variable associated with a face" is an
> old idiosyncrasy of `font-lock.el` that's never been explained
> nor justified. It was used at some point for customization purposes (to
> tweak the face buffer-locally) but we introduced the face-remapping
> facility as a better replacement for that hack, so faces should not need
> accompanying vars since Emacs-23.
> 
> I suspect that's part of the reason. Ideally, we'd phase out those old
> `font-lock-*-face` variables rather than introduce new ones.
> I think the only thing they bring nowadays is confusion.
>

Thanks, I'll remove them in the next patch.

I was following 1bfbb2b706db6a7ca9420b27d22a737deccdd5b0 for inspiration, hence why I included them.